# Google Analytics API . management . profiles

## Instance Methods

Lists views (profiles) to which the user has access.

### Method Details

`list(accountId, webPropertyId, max_results=None, start_index=None)`

    Lists views (profiles) to which the user has access.

    Args:
      accountId: string, Account ID for the views (profiles) to retrieve. Can either be a specific account ID or '~all', which refers to all the accounts to which the user has access. (required)
      webPropertyId: string, Web property ID for the views (profiles) to retrieve. Can either be a specific web property ID or '~all', which refers to all the web properties to which the user has access. (required)
      max_results: integer, The maximum number of views (profiles) to include in this response.
      start_index: integer, An index of the first entity to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.